Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## SpaceTime.DataModel
Interface Parameters

    public interface Parameters

Provides paremeter values from params txt file

Method Summary
`double` | `accEventScore()`
`boolean` | `askHiddenQuestions()`
`boolean` | `auxElicit()`
`double` | `batchImpTime()`
`long` | `batchQuestEvalNum()`
`double` | `batchQuestEvalTime()`
`double` | `batchUtilRatio()`
`java.lang.String` | `ComposeInactiveString()`
`java.lang.String` | `ComposeTestingString()`
`java.lang.String` | `ComposeTrainingString()`
`boolean` | `conditionalAllocate()`
`long` | `curScheduleWeight()`
`boolean` | `debugModeOn()`
`boolean` | `defaultLearner()`
`int` | `defaultRuleGranularity()`
`boolean` | `defaultRules()`
`long` | `durationGran()`
`double` | `fastImpTime()`
`long` | `fastQuestEvalNum()`
`double` | `fastQuestEvalTime()`
`double` | `fastUtilRatio()`
`double` | `fracAbsentValues()`
`long` | `frictTime()`
`boolean` | `heuristicElicit()`
`double` | `highSearchUtil()`
`long` | `inheritedPriorityVal()`
`int` | `learnedPudGranularity()`
`double` | `maximalEventLoss()`
`double` | `maximalPrefLoss()`
`double` | `maximalStartLoss()`
`double` | `maximumScoreLoss()`
`double` | `minHeuristicUtil()`
`double` | `minimalEventImprovement()`
`double` | `minimumEventGain()`
`long` | `minScore()`
`double` | `minSearchUtil()`
`double` | `minUnlockGains()`
`double` | `movingPenaltyValue()`
`long` | `noAlternativeSchedules()`
`long` | `noQuestions()`
`long` | `noRoomRequests()`
`long` | `optSteps()`
`double` | `optTime()`
`double` | `partialOptTime()`
`int` | `resourceFuncGranularity()`
`boolean` | `roomCostElicitor()`
`int` | `roomCostPriority()`
`DMHashTable` | `roomPropSignificances()`
`boolean` | `searchElicit()`
`boolean` | `standAloneModeOn()`
`long` | `startTimeGran()`
`boolean` | `testServices()`
`boolean` | `trainingMode()`
`boolean` | `trainServices()`
`boolean` | `vendorOptimizer()`

Method Detail

### ComposeTrainingString

    java.lang.String ComposeTrainingString()

### ComposeTestingString

    java.lang.String ComposeTestingString()

### ComposeInactiveString

    java.lang.String ComposeInactiveString()

### movingPenaltyValue

    double movingPenaltyValue()

### debugModeOn

    boolean debugModeOn()

### standAloneModeOn

    boolean standAloneModeOn()

### trainingMode

    boolean trainingMode()

### conditionalAllocate

    boolean conditionalAllocate()

### heuristicElicit

    boolean heuristicElicit()

### searchElicit

    boolean searchElicit()

### minSearchUtil

    double minSearchUtil()

### highSearchUtil

    double highSearchUtil()

### fastQuestEvalNum

    long fastQuestEvalNum()

### fastImpTime

    double fastImpTime()

### fastQuestEvalTime

    double fastQuestEvalTime()

### fastUtilRatio

    double fastUtilRatio()

### batchQuestEvalNum

    long batchQuestEvalNum()

### batchImpTime

    double batchImpTime()

### batchQuestEvalTime

    double batchQuestEvalTime()

### batchUtilRatio

    double batchUtilRatio()

### auxElicit

    boolean auxElicit()

### minHeuristicUtil

    double minHeuristicUtil()

### noQuestions

    long noQuestions()

### askHiddenQuestions

    boolean askHiddenQuestions()

### accEventScore

    double accEventScore()

### noAlternativeSchedules

    long noAlternativeSchedules()

### optTime

    double optTime()

### optSteps

    long optSteps()

### maximumScoreLoss

    double maximumScoreLoss()

### maximalEventLoss

    double maximalEventLoss()

### minimalEventImprovement

    double minimalEventImprovement()

### startTimeGran

    long startTimeGran()

### durationGran

    long durationGran()

### curScheduleWeight

    long curScheduleWeight()

### partialOptTime

    double partialOptTime()

### roomPropSignificances

    DMHashTable roomPropSignificances()

### defaultRules

    boolean defaultRules()

### inheritedPriorityVal

    long inheritedPriorityVal()

### frictTime

    long frictTime()

### noRoomRequests

    long noRoomRequests()

### maximalPrefLoss

    double maximalPrefLoss()

### maximalStartLoss

    double maximalStartLoss()

### minUnlockGains

    double minUnlockGains()

### minimumEventGain

    double minimumEventGain()

### minScore

    long minScore()

### defaultLearner

    boolean defaultLearner()

### fracAbsentValues

    double fracAbsentValues()

### vendorOptimizer

    boolean vendorOptimizer()

### resourceFuncGranularity

    int resourceFuncGranularity()

### defaultRuleGranularity

    int defaultRuleGranularity()

### trainServices

    boolean trainServices()

### testServices

    boolean testServices()

### learnedPudGranularity

    int learnedPudGranularity()

### roomCostPriority

    int roomCostPriority()

### roomCostElicitor

    boolean roomCostElicitor()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD